# @nuxtjs/storybook

[![npm version][npm-version-src]][npm-version-href]
[![npm downloads][npm-downloads-src]][npm-downloads-href]
[![Github Actions CI][github-actions-ci-src]][github-actions-ci-href]
[![Codecov][codecov-src]][codecov-href]
[![License][license-src]][license-href]

> [Storybook](https://storybook.js.org/) integration with [NuxtJS](https://nuxtjs.org)

- [✨ &nbsp;Release Notes](https://github.com/nuxt-community/nuxt-storybook/releases)
- [📖 &nbsp;Read the documentation](https://storybook.nuxtjs.org)


## Quick Setup

Yarn:

```bash
# Using yarn
yarn add -D @nuxtjs/storybook

# Using npm
npm install -D @nuxtjs/storybook
```

Now you can use `nuxt-storybook` to start!  

```bash
# Using yarn
yarn nuxt-storybook

# Using npm
npm run nuxt-storybook
```


## Development

1. Clone this repository
2. Install dependencies using `yarn install`
3. Start storybook server using `yarn dev`

## License

[MIT License](./LICENSE)

Copyright (c)

<!-- Badges -->
[npm-version-src]: https://img.shields.io/npm/v/@nuxtjs/storybook/latest.svg
[npm-version-href]: https://npmjs.com/package/@nuxtjs/storybook

[npm-downloads-src]: https://img.shields.io/npm/dt/@nuxtjs/storybook.svg
[npm-downloads-href]: https://npmjs.com/package/@nuxtjs/storybook

[github-actions-ci-src]: https://github.com/nuxt-community/nuxt-storybook/workflows/ci/badge.svg
[github-actions-ci-href]: https://github.com/nuxt-community/nuxt-storybook/actions?query=workflow%3Aci

[codecov-src]: https://img.shields.io/codecov/c/github/nuxt-community/nuxt-storybook.svg
[codecov-href]: https://codecov.io/gh/nuxt-community/nuxt-storybook

[license-src]: https://img.shields.io/npm/l/@nuxtjs/storybook.svg
[license-href]: https://npmjs.com/package/@nuxtjs/storybook
