"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = exports.usage = void 0;
const path_1 = __importDefault(require("path"));
const arg_1 = __importDefault(require("arg"));
const utils_1 = require("./utils");
const index_1 = require("./index");
exports.usage = 'nuxt storybook [`dir`] [`mode`]';
function _run() {
    const args = arg_1.default({});
    const [_dir = '.', mode = 'dev'] = args._;
    // Resolve dir
    const rootDir = path_1.default.resolve(process.cwd(), _dir);
    switch (mode) {
        case 'build':
            return index_1.build({
                rootDir,
                mode
            });
        case 'dev':
        default:
            index_1.start({
                rootDir,
                mode
            });
    }
}
function run() {
    try {
        _run();
    }
    catch (err) {
        utils_1.logger.fatal(err);
        process.exit(1);
    }
}
exports.run = run;
if (!module.parent) {
    run();
}
